library mplayer4tc;

{ Important note about DLL memory management: ShareMem must be the
  first unit in your library's USES clause AND your project's (select
  Project-View Source) USES clause if your DLL exports any procedures or
  functions that pass strings as parameters or function results. This
  applies to all strings passed to and from your DLL--even those that
  are nested in records and classes. ShareMem is the interface unit to
  the BORLNDMM.DLL shared memory manager, which must be deployed along
  with your DLL. To avoid using BORLNDMM.DLL, pass string information
  using PChar or ShortString parameters. }

uses
  Windows,
  Unit1 in 'Unit1.pas',
  Unit2 in 'Unit2.pas';

{$E wlx}
{$IFDEF WIN64}
  {$E wlx64}
{$ENDIF}
{$WEAKLINKRTTI ON}

{$R *.res}

exports
  ListLoad,
  ListLoadW,
  ListCloseWindow,
  ListSendCommand,
  ListGetDetectString,
  ListSetDefaultParams;

procedure DP(Code: Integer);
begin
  case Code of
    DLL_PROCESS_ATTACH:
    begin
    end;
    DLL_PROCESS_DETACH:
    begin
      UnloadPlugin;
    end;
  end; //case
end;

begin
  DllProc := @DP;
  DP(DLL_PROCESS_ATTACH);
  //ReportMemoryLeaksOnShutdown := True;
end.
